Skip to content

Fund a batch group

Request

Funds all transfers in a batch group from a multi-currency account balance. Transfers are paid out immediately.

The batch group must first be completed, and there must be enough funds in the account for the whole batch. Otherwise, an insufficient funds error will be returned.

This endpoint is SCA protected when it applies. If your profile is registered within the UK and/or EEA, SCA most likely applies to you. For more information, please read implementing SCA.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The ID of the profile that the batch group is associated with.

Example:12345678
batchGroupIdstring, (uuid)required

The batch group ID.

Example:54a6bc09-cef9-49a8-9041-f1f0c654cd88
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestringrequired

The method of payment to use.

Value:"BALANCE"
Example:"BALANCE"
curl -i -X POST \
  https://api.wise.com/2026Q3/profiles/12345678/batch-payments/54a6bc09-cef9-49a8-9041-f1f0c654cd88/payments \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "BALANCE"
  }'

Responses

Batch group funded successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

Unique batch group ID.

Example:"54a6bc09-cef9-49a8-9041-f1f0c654cd88"
namestring

Descriptive name.

Example:"My batch group"
fileNamestring or null

If this batch was submitted as a file, this is the given file name.

Example:null
alreadyPaidboolean

Not applicable to this use case.

Example:true
shortIdinteger, (int64)

Not applicable to this use case.

Example:12345
userIdinteger, (int64)

The ID of the user who initiated this payment.

Example:33333333
profileIdinteger, (int64)

The ID of the profile this payment belongs to.

Example:44444444
sourceCurrencystring

The source currency of the batch. Note that if there are insufficient funds, an automatic conversion from another currency can occur.

Example:"GBP"
statusstring

Current batch group status.

Enum:"NEW""COMPLETED""MARKED_FOR_CANCELLATION""PROCESSING_CANCEL""CANCELLED"
Example:"COMPLETED"
groupTypestring

Whether this batch was submitted over the API or as a file.

Enum:"API""FILE"
Example:"API"
transferIdsArray of integers, (int64)

The IDs of all transfers in the group.

Example:
[ 100001, 100002, 100003 ]
Response
{ "id": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "name": "My batch group", "fileName": null, "alreadyPaid": true, "shortId": 12345, "userId": 33333333, "profileId": 44444444, "sourceCurrency": "GBP", "status": "COMPLETED", "groupType": "API", "transferIds": [ 100001, 100002, 100003 ] }